## openscap 1.3.5+dfsg

=== debian/changelog ===
openscap (1.3.5+dfsg-3) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Fri, 15 Jul 2022 11:25:21 +0200

openscap (1.3.5+dfsg-2) experimental; urgency=medium

  * Disable entire testsuite
    This also removes 012-Disable-some-tests.patch and build-dependencies
    libxml-parser-perl and libxml-xpath-perl.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Wed, 13 Jul 2022 19:14:27 +0200

openscap (1.3.5+dfsg-1) experimental; urgency=medium

  * New maintainer Closes: #1012868
  * Repack source, remove yaml-filter and javascript files.
    We also delete the related lintian-overrrides and
    d/missing-sources directory.
  * d/rules:
    - Reformat CMake options. Closes: #1000279
    - Build Python 3 library for all supported versions.
    - Default build without verbose logging.
  * d/control:
    - Drop obsolete X-Python3-Version field.
    - Update Standards-Version to 4.6.1
    - Document Rules-Requires-Root.
    - Add missing Break/Replace on openscap-common. Closes: #1001075
    - Move package into Vcs repository.
    - Remove ${python3-Depends} and libjs-jquery as dependencies for
      libopenscap-dev, not needed.
    - Remove libcurl-dev as build dependency, doesn't exist.
  * Don't build documentation. We want this in a separate package.
  * d/copyright:
    - Convert to machine-readable format.
    - Add myself under debian/* section.
  * Patches:
    - Drop 001_fix_kfreebsd_probe.patch, this is a 'linux-any' package.
    - Add 012-Disable-some-tests.patch, disabled some test, the remaining
      is kept for regression.
  * Install upstream changelog in all binary packages.
  * Set upstream metadata fields: Repository and Repository-Browse.
  * Run wrap-and-sort -at
  * Add symbols file.
  * Add the missing changelog entry for version 1.2.17-0.1
  * d/gbp.conf: Add pristine-tar, remove branch and tag entries, using
    default values.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Wed, 06 Jul 2022 07:35:05 +0200

openscap (1.3.5-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream version 1.3.5

  * Package structure changes
    - Apply soname change (libopenscap8 -> 25) (Closes: #990183)
    - Split libopenscap25 to openscap-scanner, openscap-utils and
      openscap-common
    - Drop -dbg package and unnecessary lintian-overrides
    - Drop unnecessary dependency on dh-autoreconf.
  * debian/control
    - Specify https for upstream URL
    - Use debhelper-compat (= 13) to not forget to install necessary files
      with dh_missing
    - Add missing dependencies: libacl1-dev, libblkid-dev, libglib2.0-dev,
      libyaml-dev, librpm-dev, libpopt-dev, libprocps-dev, libopendbx1-dev,
      libxmlsec1-dev, doxygen, graphviz, asciidoc,
  * Drop unnecessary debian/compat
  * debian/rules
    - Enable documentation build
    - Enable hardening
  * Add openscap-common.docs to install HTML docs
  * debian/openscap-scanner.install
    - Install bash-completion
  * openscap-utils.install
    - Install autotailor and scap-as-rpm
  * Add debian/openscap-{scanner,utils}.manpages
  * debian/watch
    - Update watch file format version to 4.
  * debian/patches
    - Drop unused patches
    - Refresh patches
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Hideki Yamane <henrich@debian.org>  Fri, 06 Aug 2021 16:02:20 +0900

=== debian/control ===
Source: openscap
Section: admin
Priority: optional
Maintainer: Håvard F. Aasen <havard.f.aasen@pfft.no>
Build-Depends: chrpath,
               cmake,
               debhelper-compat (= 13),
               dh-python,
               libacl1-dev,
               libapt-pkg-dev,
               libattr1-dev,
               libblkid-dev,
               libbz2-dev,
               libcap-dev [linux-any],
               libcurl4-openssl-dev | libcurl4-gnutls-dev,
               libdbus-1-dev,
               libgcrypt-dev,
               libglib2.0-dev,
               libldap2-dev,
               libopendbx1-dev,
               libpcre3-dev,
               libperl-dev,
               libpopt-dev,
               libprocps-dev,
               librpm-dev,
               libselinux1-dev [linux-any],
               libxml2-dev,
               libxmlsec1-dev,
               libxslt1-dev,
               libyaml-dev,
               pkg-config,
               python3-all-dev,
               swig,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.open-scap.org/
Vcs-Browser: https://salsa.debian.org/debian/openscap
Vcs-Git: https://salsa.debian.org/debian/openscap.git

Package: libopenscap-dev
Section: libdevel
Architecture: linux-any
Depends: libopenscap25 (= ${binary:Version}),
         ${misc:Depends},
Description: libraries enabling integration of the SCAP line of standards- Development files
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Vulnerabilities and Exposures (CVE)
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Common Vulnerability Scoring System (CVSS)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains the development files for OpenSCAP.

Package: libopenscap25
Section: libs
Architecture: linux-any
Conflicts: libopenscap0,
           libopenscap1,
           libopenscap3,
           libopenscap8,
Replaces: libopenscap0,
          libopenscap1,
          libopenscap3,
          libopenscap8,
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: libraries enabling integration of the SCAP line of standards
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Vulnerabilities and Exposures (CVE)
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Common Vulnerability Scoring System (CVSS)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains libraries for OpenSCAP.

Package: python3-openscap
Section: python
Architecture: linux-any
Depends: libopenscap25 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Provides: ${python3:Provides},
Description: libraries enabling integration of the SCAP line of standards - Python 3 bindings
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Vulnerabilities and Exposures (CVE)
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Common Vulnerability Scoring System (CVSS)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains the Python bindings for OpenSCAP.

Package: libopenscap-perl
Section: perl
Architecture: linux-any
Depends: libopenscap25 (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends},
Description: libraries enabling integration of the SCAP line of standards - Perl bindings
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Vulnerabilities and Exposures (CVE)
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Common Vulnerability Scoring System (CVSS)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains the Perl bindings for OpenSCAP.

Package: openscap-scanner
Architecture: linux-any
Depends: libopenscap25 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: openscap-common (= ${binary:Version}),
Description: OpenScap Scanner Tool (oscap)
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Vulnerabilities and Exposures (CVE)
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Common Vulnerability Scoring System (CVSS)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains oscap command-line tool, configuration and
 vulnerability scanner. It can use for compliance checking with SCAP contents.

Package: openscap-utils
Architecture: linux-any
Depends: openscap-scanner (= ${binary:Version}),
         rpm,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Recommends: openscap-common (= ${binary:Version}),
Description: libraries enabling integration of the SCAP line of standards - Utility programs
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Vulnerabilities and Exposures (CVE)
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Common Vulnerability Scoring System (CVSS)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains command line utilities.

Package: openscap-common
Architecture: all
Depends: ${misc:Depends},
Breaks: libopenscap8 (<< 1.3.5),
Replaces: libopenscap8 (<< 1.3.5),
Description: OpenSCAP schema files
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Vulnerabilities and Exposures (CVE)
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Common Vulnerability Scoring System (CVSS)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains schema files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

PYVERS=$(shell py3versions --supported --version)
PERL_VERSION:=$(shell perl -e 'my @ver=split /\./, sprintf("%vd", $$^V); print("$$ver[0].$$ver[1]");')
CMAKE_OPTS = -DENABLE_DOCS=OFF \
	     -DENABLE_PERL=ON \
	     -DOPENSCAP_PROBE_UNIX_GCONF=OFF \
	     -DGCONF_LIBRARY= \
	     -DPERL_VERSION=$(PERL_VERSION) \
	     -DPYTHON_EXECUTABLE=/usr/bin/python$$V

override_dh_auto_clean:
	for V in $(PYVERS); do \
		dh_auto_clean --builddir=build-py$$V ; \
	done

override_dh_auto_configure:
	for V in $(PYVERS); do \
		dh_auto_configure --builddir=build-py$$V -- \
			$(CMAKE_OPTS) ; \
	done

override_dh_auto_build:
	for V in $(PYVERS); do \
		dh_auto_build --builddir=build-py$$V ; \
	done

override_dh_auto_install:
	# Move Python files to separate folders so they don't overwrite
	# each other at install time.
	for V in $(PYVERS); do \
		dh_auto_install --builddir=build-py$$V ; \
		mv ${CURDIR}/debian/tmp/usr/lib/python3 ${CURDIR}/debian/tmp/usr/lib/python$$V ; \
		chmod 0644 ${CURDIR}/debian/tmp/usr/lib/python$$V/dist-packages/openscap_py.py ; \
		chmod 0644 ${CURDIR}/debian/tmp/usr/lib/python$$V/dist-packages/openscap_api.py ; \
	done

	find debian/tmp -name "*.la" -delete
	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/perl5/$(PERL_VERSION)* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/perl5/$(PERL_VERSION)
	chrpath -d debian/tmp/usr/bin/oscap
	chrpath -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libopenscap.so.*
	chrpath -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libopenscap_sce.so.*
	chrpath -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/perl5/5.*/openscap_pm.so

override_dh_strip:
	dh_strip -popenscap-scanner --dbgsym-migration='libopenscap8-dbg (<< 1.3.4-1.1~)'
	dh_strip -plibopenscap25 --dbgsym-migration='libopenscap8-dbg (<< 1.3.4-1.1~)'
	dh_strip -ppython3-openscap --dbgsym-migration='libopenscap8-dbg (<< 1.3.4-1.1~)'
	dh_strip -plibopenscap-perl --dbgsym-migration='libopenscap8-dbg (<< 1.3.4-1.1~)'

override_dh_python3:
	dh_python3 -popenscap-utils -ppython3-openscap --shebang=/usr/bin/python3

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_test:

%:
	dh $@ --with python3

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/openscap-$1\.tar\.gz/,\
dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg \
https://github.com/OpenSCAP/openscap/tags .*/v?(\d\S*)\.tar\.gz

## openscap 1.3.7+dfsg

=== src/CVSS/CMakeLists.txt ===
file(GLOB_RECURSE CVSS_SOURCES "*.c")
file(GLOB_RECURSE CVSS_HEADERS "*.h")
file(GLOB_RECURSE PUBLIC_HEADERS "public/*.h")

add_library(cvss_object OBJECT ${CVSS_SOURCES} ${CVSS_HEADERS})
set_oscap_generic_properties(cvss_object)

install(FILES ${PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/openscap)

=== src/OVAL/results/CMakeLists.txt ===
add_library(ovalcmp_object OBJECT
    "oval_cmp.c"
    "oval_cmp_impl.h"
    "oval_cmp_basic.c"
    "oval_cmp_basic_impl.h"
    "oval_cmp_evr_string.c"
    "oval_cmp_evr_string_impl.h"
    "oval_cmp_ip_address.c"
    "oval_cmp_ip_address_impl.h"
)
set_oscap_generic_properties(ovalcmp_object)

add_library(ovalresults_object OBJECT
    "oval_resModel.c"
    "oval_resultCriteriaNode.c"
    "oval_resultDefinition.c"
    "oval_resultDefinitionIterator.c"
    "oval_resultItem.c"
    "oval_results_impl.h"
    "oval_resultSystem.c"
    "oval_resultTest.c"
    "oval_resultTestIterator.c"
    "oval_status_counter.c"
    "oval_status_counter.h"
)
set_oscap_generic_properties(ovalresults_object)

=== tests/probes/shadow/CMakeLists.txt ===
if(ENABLE_PROBES_UNIX)
	add_oscap_test("test_probes_shadow.sh")
endif()

=== tests/API/CPE/lang/CMakeLists.txt ===
add_oscap_test_executable(test_api_cpe_lang "test_api_cpe_lang.c")
add_oscap_test("test_api_cpe_lang.sh")

=== debian/changelog ===
openscap (1.3.7+dfsg-1+deb12u1) bookworm; urgency=medium

  * Update dependencies for openscap-utils and python3-openscap
    Closes: #1040936

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Thu, 20 Jul 2023 19:50:10 +0200

openscap (1.3.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches included upstream:
    - create-diagrams-when-generating-Doxygen-documen.patch
    - create-Doxygen-diagrams-as-svg.patch
    - update-whatis-entry.patch
    and removed patches cherry picked from upstream:
    - remove-superfluous-strdup.patch
    - add-missing-free.patch
    - OVAL-SEAP-Allocate-aligned-memory-in-SEXP_rawval_lblk_new.patch
    - use-correct-includes.patch
  * Use newly created CMake flag to disable installation of oscap remediation
    files, this also removes lines manually deleting files in d/rules.
  * Add new symbol in d/libopenscap25.symbols.
  * openscap-scanner: Move openscap-common from recommends to depends.
  * Skip tests when building for 'all'.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Fri, 27 Jan 2023 23:41:17 +0100

openscap (1.3.6+dfsg-6) unstable; urgency=medium

  * Cherry-pick use-correct-includes.patch from upstream. Fixes build
    with RPM >= 4.18.
  * Update to Standards-Version 4.6.2, no changes needed.
  * Add the year 2023 to my debian/* copyright notice.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Tue, 10 Jan 2023 13:57:56 +0100

openscap (1.3.6+dfsg-5) unstable; urgency=medium

  * Remove libprocps-dev as BD. Closes: #1024224
  * Move BD related to documentation to BD-Indep

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Thu, 08 Dec 2022 22:01:54 +0100

openscap (1.3.6+dfsg-4) unstable; urgency=medium

  * Delete files generated if systemd is found.
    Thanks to Rene Engelhard for the suggestion (Closes: #1023041)
  * Tag BD used only for tests with <!nocheck>

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Thu, 03 Nov 2022 21:24:45 +0100

openscap (1.3.6+dfsg-3) unstable; urgency=medium

  * Depend on source, not binary version for arch all package.
  * Remove old and unneeded break/conflict.
  * Update d/watch to reflect changes toward GitHub.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sun, 30 Oct 2022 00:16:20 +0200

openscap (1.3.6+dfsg-2) unstable; urgency=medium

  * Add OVAL-SEAP-Allocate-aligned-memory-in-SEXP_rawval_lblk_new.patch from
    upstream. Closes: #1015205
  * Add run-a-minor-testsuite.patch and start running some tests again.
    - Add libxml-parser-perl and libxml-xpath-perl as build dependencies.
  * Change -DCMAKE_SKIP_BUILD_RPATH=TRUE -> -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON
  * Don't install Doxygen files *.map and *.md5.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sat, 30 Jul 2022 11:26:47 +0200

openscap (1.3.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Patches:
    - Rebase 010_perlpm_install_fix.patch and add DEP-3 compliant header.
    - Drop 011_remove_custom_rpath.patch, no longer needed.
    - Add update-whatis-entry.patch
    - Add create-diagrams-when-generating-Doxygen-documen.patch
    - Add create-Doxygen-diagrams-as-svg.patch
    - Add add-missing-free.patch
    - Add remove-superfluous-strdup.patch
  * d/control:
    - Apply Multi-Arch: foreign, to openscap-common.
    - Add missing space in short package description.
  * Drop d/dirs, not needed.
  * Change downloaded release tarball, this includes yaml-filter
  * Build documentation and place it in a new binary package.
  * Use the CMake RPATH option, this also removes chrpath as BD.
  * Update d/libopenscap25.symbols
  * d/copyright:
    - Include yaml-filter in source package.
    - Bump copyright year in main paragraph.
    - Include new file paragraphs.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Wed, 20 Jul 2022 12:04:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Håvard F. Aasen <havard.f.aasen@pfft.no>
-Build-Depends: chrpath,
-               cmake,
+Build-Depends: cmake,
                debhelper-compat (= 13),
                dh-python,
                libacl1-dev,
@@ -21,9 +20,10 @@
                libpcre3-dev,
                libperl-dev,
                libpopt-dev,
-               libprocps-dev,
                librpm-dev,
                libselinux1-dev [linux-any],
+               libxml-parser-perl <!nocheck>,
+               libxml-xpath-perl <!nocheck>,
                libxml2-dev,
                libxmlsec1-dev,
                libxslt1-dev,
@@ -31,7 +31,10 @@
                pkg-config,
                python3-all-dev,
                swig,
-Standards-Version: 4.6.1
+Build-Depends-Indep: asciidoc,
+                     doxygen,
+                     graphviz,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.open-scap.org/
 Vcs-Browser: https://salsa.debian.org/debian/openscap
@@ -42,7 +45,8 @@
 Architecture: linux-any
 Depends: libopenscap25 (= ${binary:Version}),
          ${misc:Depends},
-Description: libraries enabling integration of the SCAP line of standards- Development files
+Suggests: openscap-doc,
+Description: libraries enabling integration of the SCAP line of standards - Development files
  OpenSCAP is a set of open source libraries providing an easier path
  for integration of the SCAP line of standards. SCAP is a line of
  standards managed by NIST with the goal of providing a standard language
@@ -62,14 +66,8 @@
 Package: libopenscap25
 Section: libs
 Architecture: linux-any
-Conflicts: libopenscap0,
-           libopenscap1,
-           libopenscap3,
-           libopenscap8,
-Replaces: libopenscap0,
-          libopenscap1,
-          libopenscap3,
-          libopenscap8,
+Conflicts: libopenscap8,
+Replaces: libopenscap8,
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends},
          ${shlibs:Depends},
@@ -94,9 +92,11 @@
 Section: python
 Architecture: linux-any
 Depends: libopenscap25 (= ${binary:Version}),
+         python3-docker,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
+Suggests: openscap-doc,
 Provides: ${python3:Provides},
 Description: libraries enabling integration of the SCAP line of standards - Python 3 bindings
  OpenSCAP is a set of open source libraries providing an easier path
@@ -122,6 +122,7 @@
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends},
+Suggests: openscap-doc,
 Description: libraries enabling integration of the SCAP line of standards - Perl bindings
  OpenSCAP is a set of open source libraries providing an easier path
  for integration of the SCAP line of standards. SCAP is a line of
@@ -142,9 +143,10 @@
 Package: openscap-scanner
 Architecture: linux-any
 Depends: libopenscap25 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-Recommends: openscap-common (= ${binary:Version}),
+         openscap-common (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Suggests: openscap-doc,
 Description: OpenScap Scanner Tool (oscap)
  OpenSCAP is a set of open source libraries providing an easier path
  for integration of the SCAP line of standards. SCAP is a line of
@@ -166,11 +168,12 @@
 Package: openscap-utils
 Architecture: linux-any
 Depends: openscap-scanner (= ${binary:Version}),
+         python3-openscap (= ${binary:Version}),
          rpm,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-Recommends: openscap-common (= ${binary:Version}),
+Suggests: openscap-doc,
 Description: libraries enabling integration of the SCAP line of standards - Utility programs
  OpenSCAP is a set of open source libraries providing an easier path
  for integration of the SCAP line of standards. SCAP is a line of
@@ -190,6 +193,7 @@
 
 Package: openscap-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
 Breaks: libopenscap8 (<< 1.3.5),
 Replaces: libopenscap8 (<< 1.3.5),
@@ -209,3 +213,25 @@
   * Open Vulnerability and Assessment Language (OVAL)
  .
  This package contains schema files.
+
+Package: openscap-doc
+Section: doc
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+Description: libraries enabling integration of the SCAP line of standards - Documentation
+ OpenSCAP is a set of open source libraries providing an easier path
+ for integration of the SCAP line of standards. SCAP is a line of
+ standards managed by NIST with the goal of providing a standard language
+ for the expression of Computer Network Defense related information.
+ .
+ The intended scope of this project is to implement working interface
+ wrappers for parsing and querying SCAP content including:
+  * Common Vulnerabilities and Exposures (CVE)
+  * Common Configuration Enumeration (CCE)
+  * Common Platform Enumeration (CPE)
+  * Common Vulnerability Scoring System (CVSS)
+  * Extensible Configuration Checklist Description Format (XCCDF)
+  * Open Vulnerability and Assessment Language (OVAL)
+ .
+ This package contains documentation.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,10 @@
 
 PYVERS=$(shell py3versions --supported --version)
 PERL_VERSION:=$(shell perl -e 'my @ver=split /\./, sprintf("%vd", $$^V); print("$$ver[0].$$ver[1]");')
-CMAKE_OPTS = -DENABLE_DOCS=OFF \
+CMAKE_OPTS = \
+	     -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
+	     -DENABLE_DOCS=ON \
+	     -DENABLE_OSCAP_REMEDIATE_SERVICE=OFF \
 	     -DENABLE_PERL=ON \
 	     -DOPENSCAP_PROBE_UNIX_GCONF=OFF \
 	     -DGCONF_LIBRARY= \
@@ -43,10 +46,8 @@
 
 	find debian/tmp -name "*.la" -delete
 	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/perl5/$(PERL_VERSION)* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/perl5/$(PERL_VERSION)
-	chrpath -d debian/tmp/usr/bin/oscap
-	chrpath -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libopenscap.so.*
-	chrpath -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libopenscap_sce.so.*
-	chrpath -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/perl5/5.*/openscap_pm.so
+	$(RM) $(CURDIR)/debian/tmp/usr/share/doc/openscap/html/*.md5 \
+	      $(CURDIR)/debian/tmp/usr/share/doc/openscap/html/*.map
 
 override_dh_strip:
 	dh_strip -popenscap-scanner --dbgsym-migration='libopenscap8-dbg (<< 1.3.4-1.1~)'
@@ -60,7 +61,13 @@
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
+# Skip tests when building for 'all'.
+override_dh_auto_test-indep:
+
 override_dh_auto_test:
+	for V in $(PYVERS); do \
+		dh_auto_test --builddir=build-py$$V ; \
+	done
 
 %:
 	dh $@ --with python3

## openscap 1.3.8+dfsg

=== debian/changelog ===
openscap (1.3.8+dfsg-3) unstable; urgency=medium

  * Update Python BD to support cross-build.
  * Update patch for installing Perl modules, we can now remove some lines
    regarding Perl from d/rules.
  * Properly disable test when only building packages for 'all'.
  * Don't run tests in parallel.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Fri, 14 Jul 2023 08:23:57 +0200

openscap (1.3.8+dfsg-2) unstable; urgency=medium

  * Update dependencies for openscap-utils and python3-openscap
    Closes: #1040936

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Thu, 13 Jul 2023 07:51:55 +0200

openscap (1.3.8+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright notices for changes upstream.
  * Rebase patches.
  * Update library symbols.
  * Remove arguments for debug symbols migration.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Fri, 23 Jun 2023 08:05:29 +0200

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
                libpcre3-dev,
                libperl-dev,
                libpopt-dev,
+               libpython3-all-dev,
                librpm-dev,
                libselinux1-dev [linux-any],
                libxml-parser-perl <!nocheck>,
@@ -29,7 +30,7 @@
                libxslt1-dev,
                libyaml-dev,
                pkg-config,
-               python3-all-dev,
+               python3-all-dev:native,
                swig,
 Build-Depends-Indep: asciidoc,
                      doxygen,

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,6 @@
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 
 PYVERS=$(shell py3versions --supported --version)
-PERL_VERSION:=$(shell perl -e 'my @ver=split /\./, sprintf("%vd", $$^V); print("$$ver[0].$$ver[1]");')
 CMAKE_OPTS = \
 	     -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
 	     -DENABLE_DOCS=ON \
@@ -15,7 +14,6 @@
 	     -DENABLE_PERL=ON \
 	     -DOPENSCAP_PROBE_UNIX_GCONF=OFF \
 	     -DGCONF_LIBRARY= \
-	     -DPERL_VERSION=$(PERL_VERSION) \
 	     -DPYTHON_EXECUTABLE=/usr/bin/python$$V
 
 override_dh_auto_clean:
@@ -45,15 +43,8 @@
 	done
 
 	find debian/tmp -name "*.la" -delete
-	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/perl5/$(PERL_VERSION)* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/perl5/$(PERL_VERSION)
 	$(RM) $(CURDIR)/debian/tmp/usr/share/doc/openscap/html/*.md5 \
 	      $(CURDIR)/debian/tmp/usr/share/doc/openscap/html/*.map
-
-override_dh_strip:
-	dh_strip -popenscap-scanner --dbgsym-migration='libopenscap8-dbg (<< 1.3.4-1.1~)'
-	dh_strip -plibopenscap25 --dbgsym-migration='libopenscap8-dbg (<< 1.3.4-1.1~)'
-	dh_strip -ppython3-openscap --dbgsym-migration='libopenscap8-dbg (<< 1.3.4-1.1~)'
-	dh_strip -plibopenscap-perl --dbgsym-migration='libopenscap8-dbg (<< 1.3.4-1.1~)'
 
 override_dh_python3:
 	dh_python3 -popenscap-utils -ppython3-openscap --shebang=/usr/bin/python3
@@ -64,9 +55,9 @@
 # Skip tests when building for 'all'.
 override_dh_auto_test-indep:
 
-override_dh_auto_test:
+override_dh_auto_test-arch:
 	for V in $(PYVERS); do \
-		dh_auto_test --builddir=build-py$$V ; \
+		dh_auto_test --no-parallel --builddir=build-py$$V ; \
 	done
 
 %:

## openscap 1.3.9%2Bdfsg

=== tests/API/CVE/CMakeLists.txt ===
add_oscap_test_executable(test_api_cve "test_api_cve.c")
add_oscap_test("test_api_cve.sh")

=== tests/probes/filehash58/CMakeLists.txt ===
if(ENABLE_PROBES_INDEPENDENT)
	add_oscap_test("test_probes_filehash58.sh")
	add_oscap_test("rhbz1959570_segfault.sh")
endif()
